function onStartup(self)
	local player = GAMEOBJ:GetObjectByID(GAMEOBJ:GetLocalCharID())
	if not player:Exists() then return end
	
	local initialEyebrows = player:GetEyebrows().iEyebrowsStyle
	local initialEyes = player:GetEyes().iEyesStyle
	local initialMouth = player:GetMouth().iMouthStyle
	
	self:SetEyebrows{ iEyebrowsStyle = initialEyebrows }
	self:SetEyes{ iEyesStyle = initialEyes }
	self:SetMouth{ iMouthStyle = initialMouth }
end

function onNotifyClientObject(self, msg)
	local player = GAMEOBJ:GetObjectByID(GAMEOBJ:GetLocalCharID())
	if not player:Exists() then return end
	
	if msg.name == "UpdateEyebrows" then
		self:SetEyebrows{ iEyebrowsStyle = msg.param1 }
		player:SetEyebrows{ iEyebrowsStyle = msg.param1 }
	elseif msg.name == "UpdateEyes" then	
		self:SetEyes{ iEyesStyle = msg.param1 }
		player:SetEyes{ iEyesStyle = msg.param1 }
	elseif msg.name == "UpdateMouth" then
		self:SetMouth{ iMouthStyle = msg.param1 }
		player:SetMouth{ iMouthStyle = msg.param1 }
	elseif msg.name == "SomeoneElseUpdatedEyebrows" then
		msg.paramObj:SetEyebrows{ iEyebrowsStyle = msg.param1 }
	elseif msg.name == "SomeoneElseUpdatedEyes" then	
		msg.paramObj:SetEyes{ iEyesStyle = msg.param1 }
	elseif msg.name == "SomeoneElseUpdatedMouth" then
		msg.paramObj:SetMouth{ iMouthStyle = msg.param1 }
	end
end
